package com.ruoyi.project.production.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TPpeWardrobeMapper;
import com.ruoyi.project.production.domain.TPpeWardrobe;
import com.ruoyi.project.production.service.ITPpeWardrobeService;

/**
 * 更衣柜Service业务层处理
 *
 * @author ssy
 * @date 2023-11-30
 */
@Service
public class TPpeWardrobeServiceImpl implements ITPpeWardrobeService
{
    @Autowired
    private TPpeWardrobeMapper tPpeWardrobeMapper;

    /**
     * 查询更衣柜
     *
     * @param id 更衣柜ID
     * @return 更衣柜
     */
    @Override
    public TPpeWardrobe selectTPpeWardrobeById(Long id)
    {
        return tPpeWardrobeMapper.selectTPpeWardrobeById(id);
    }

    /**
     * 查询更衣柜列表
     *
     * @param tPpeWardrobe 更衣柜
     * @return 更衣柜
     */
    @Override
    public List<TPpeWardrobe> selectTPpeWardrobeList(TPpeWardrobe tPpeWardrobe)
    {
        return tPpeWardrobeMapper.selectTPpeWardrobeList(tPpeWardrobe);
    }

    @Override
    public List<TPpeWardrobe> selectTPpeWardrobeListByMainId(Long mainId)
    {
        return tPpeWardrobeMapper.selectTPpeWardrobeListByMainId(mainId);
    }

    /**
     * 新增更衣柜
     *
     * @param tPpeWardrobe 更衣柜
     * @return 结果
     */
    @Override
    public int insertTPpeWardrobe(TPpeWardrobe tPpeWardrobe)
    {
        return tPpeWardrobeMapper.insertTPpeWardrobe(tPpeWardrobe);
    }

    /**
     * 修改更衣柜
     *
     * @param tPpeWardrobe 更衣柜
     * @return 结果
     */
    @Override
    public int updateTPpeWardrobe(TPpeWardrobe tPpeWardrobe)
    {
        return tPpeWardrobeMapper.updateTPpeWardrobe(tPpeWardrobe);
    }

    /**
     * 批量删除更衣柜
     *
     * @param ids 需要删除的更衣柜ID
     * @return 结果
     */
    @Override
    public int deleteTPpeWardrobeByIds(Long[] ids)
    {
        return tPpeWardrobeMapper.deleteTPpeWardrobeByIds(ids);
    }

    /**
     * 删除更衣柜信息
     *
     * @param id 更衣柜ID
     * @return 结果
     */
    @Override
    public int deleteTPpeWardrobeById(Long id)
    {
        return tPpeWardrobeMapper.deleteTPpeWardrobeById(id);
    }
}
